import { PureComponent } from 'react';
import type { MentionProvider } from '@atlaskit/mention/resource';
import type { ProfilecardProvider } from '../../provider-factory/profile-card-provider';
import type { MentionEventHandlers } from '../EventHandlers';
export interface Props {
    id: string;
    text: string;
    accessLevel?: string;
    mentionProvider?: Promise<MentionProvider>;
    profilecardProvider?: Promise<ProfilecardProvider>;
    eventHandlers?: MentionEventHandlers;
    localId?: string;
}
export interface State {
    profilecardProvider: ProfilecardProvider | null;
}
export default class MentionWithProviders extends PureComponent<Props, State> {
    state: State;
    UNSAFE_componentWillMount(): void;
    UNSAFE_componentWillReceiveProps(nextProps: Props): void;
    private updateProfilecardProvider;
    render(): JSX.Element;
}
